%define oname	Ardour
%define maj	%{expand:%(echo "%{version}" | cut -d. -f1)}
Name:		ardour
Version:	5.5.0
Release:	%mkrel 1
Summary:	Professional multi-track audio recording application
Group:		Sound
License:	GPLv2+
URL:		http://ardour.org/
Source0:	https://community.ardour.org/src/%{oname}-%{version}.tar.xz
BuildRequires:	dmalloc
BuildRequires:	doxygen
BuildRequires:	gettext
BuildRequires:	graphviz
BuildRequires:	xdg-utils
BuildRequires: desktop-file-utils 
BuildRequires: libalsa2-devel 
BuildRequires: libarchive-devel
BuildRequires: libatk1.0-devel 
BuildRequires: libatkmm1.6-devel
BuildRequires: libaubio-devel 
BuildRequires: libbluez-devel 
BuildRequires: libboost-devel 
BuildRequires: libcairo-devel 
BuildRequires: libcairomm1.0-devel
BuildRequires: libcurl-devel 
BuildRequires: libfftw-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype6-devel 
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libglibmm2.4-devel 
BuildRequires: libgtk+2.0_0-devel 
BuildRequires: libgtkmm2.4-devel
BuildRequires: libjack-devel 
BuildRequires: liblilv-devel
BuildRequires: liblo-devel 
BuildRequires: liblrdf2-devel 
BuildRequires: libpango1.0-devel 
BuildRequires: libpangomm2.4-devel 
BuildRequires: libraptor2-devel
BuildRequires: libreadline-devel 
BuildRequires: librubberband-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsigc++2.0_0-devel 
BuildRequires: libsndfile-devel
BuildRequires: libsuil-devel 
BuildRequires: libtaglib-devel 
BuildRequires: libusb1.0-devel
BuildRequires: libvamp-plugin-sdk-devel
BuildRequires: libx11-devel 
BuildRequires: libxml2-devel
BuildRequires: lv2-devel
#-----------------------------
BuildConflicts: libcwiid-devel
#-----------------------------
Requires:	jackit

Obsoletes: ardour < %version
Obsoletes: ardour3
Obsoletes: ardour4

%description
Ardour is a digital audio workstation. You can use it to record, edit and mix
multi-track audio. You can produce your own CDs, mix video sound tracks, or
just experiment with new ideas about music and sound.

Ardour capabilities include: multi channel recording, non-destructive editing
with unlimited undo/redo, full automation support, a powerful mixer, unlimited
tracks/buses/plugins, time-code synchronization, and hardware control from
surfaces like the Mackie Control Universal.

%prep
%setup -q -n %{oname}-%{version}

%build
./waf configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --configdir=%{_sysconfdir} \
    --program-name=Ardour \
    --nls \
    --docs \
    --cxx11


./waf build \
    --nls \
    --docs

./waf i18n_mo

%install
./waf install --destdir=%{buildroot}

# Symlink icons and mimetypes into the right folders
install -d -m 0755 %{buildroot}%{_iconsdir}

for i in 16 22 32 48; do
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes
ln -s %{_datadir}/%{name}%{maj}/icons/application-x-%{name}_${i}px.png \
%{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes/application-x-%{name}%{maj}.png
ln -s %{_datadir}/%{name}%{maj}/icons/application-x-%{name}_${i}px.png \
%{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}%{maj}.png
done

cat>%{name}.desktop<<EOF
[Desktop Entry]
Comment=Digital Audio Workstation
Comment[en_GB]=Digital Audio Workstation
Exec=ardour%{maj}
GenericName=%{oname}
GenericName[en_GB]=%{oname}
Icon=%{name}%{maj}
MimeType=application/x-%{name};
Name=%{oname}
Name[en_GB]=%{oname}
StartupNotify=true
Terminal=false
Type=Application
Categories=AudioVideo;Audio;X-Recorders;X-Multitrack;X-Jack;X-MandrivaLinux-Multimedia-Video;

EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}.desktop


%files
%{_bindir}/ardour5-lua
%{_bindir}/%{name}%{maj}
%{_libdir}/%{name}%{maj}
%{_datadir}/%{name}%{maj}
%{_datadir}/applications/%{name}.desktop
%dir %{_sysconfdir}/%{name}%{maj}
%{_iconsdir}/hicolor/*
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/%{name}.menus
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/clearlooks.rc
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/default_ui_config
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/system_config
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/trx.menus
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/ardour.keys


%changelog
* Mon May 22 2017 adrianomorselli <adrianomorselli> 5.5.0-1uplos2017
- update
